import { JWTConfigs, TokenObject } from '../types';
export declare const createSaga: <S, T extends TokenObject>(configs: JWTConfigs<S, T>) => {
    refreshIntervalTimer: (id: string) => Generator<{
        type: string;
        payload: {
            id: string;
        };
    } | import("redux-saga/effects").TakeEffect | import("redux-saga/effects").SelectEffect | import("redux-saga/effects").CallEffect<true> | import("redux-saga/effects").CallEffect<Generator<unknown, any, unknown>> | import("redux-saga/effects").PutEffect<{
        payload: {
            id: string;
            token: TokenObject;
        };
        type: string;
    }>, never, any>;
    rootSaga: () => Generator<import("redux-saga/effects").ForkEffect<never> | import("redux-saga/effects").CallEffect<Generator<{}, void, unknown>>, void, unknown>;
    saveTokens: () => Generator<import("redux-saga/effects").SelectEffect | import("redux-saga/effects").CallEffect<Generator<unknown, any, unknown>>, void, unknown>;
    tokenWorker: () => Generator<import("redux-saga/effects").TakeEffect | import("redux-saga/effects").CancelEffect | import("redux-saga/effects").SelectEffect | import("redux-saga/effects").ForkEffect<Generator<{
        type: string;
        payload: {
            id: string;
        };
    } | import("redux-saga/effects").TakeEffect | import("redux-saga/effects").SelectEffect | import("redux-saga/effects").CallEffect<true> | import("redux-saga/effects").CallEffect<Generator<unknown, any, unknown>> | import("redux-saga/effects").PutEffect<{
        payload: {
            id: string;
            token: TokenObject;
        };
        type: string;
    }>, never, any>>, never, any>;
};
